- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# FileNameUtils.cpp File Reference

`#include <osgDB/FileNameUtils>`
`#include <cctype>`

Include dependency graph for FileNameUtils.cpp:

## Functions
std::string | osgDB::getFilePath (const std::string &fileName)
std::string | osgDB::getSimpleFileName (const std::string &fileName)
std::string | osgDB::getFileExtension (const std::string &fileName)
std::string | osgDB::getLowerCaseFileExtension (const std::string &filename)
std::string | osgDB::getNameLessExtension (const std::string &fileName)
std::string | osgDB::getStrippedName (const std::string &fileName)
bool | osgDB::equalCaseInsensitive (const std::string &lhs, const std::string &rhs)
bool | osgDB::equalCaseInsensitive (const std::string &lhs, const char *rhs)
bool | osgDB::containsServerAddress (const std::string &filename)
std::string | osgDB::getServerAddress (const std::string &filename)
std::string | osgDB::getServerFileName (const std::string &filename)